defmodule Towerops.Monitoring.PingStub do
  @moduledoc """
  Stub implementation of PingBehaviour for testing.
  Always returns successful ping responses.
  """

  @behaviour Towerops.Monitoring.PingBehaviour

  @impl true
  def ping(_ip_address) do
    {:ok, 10}
  end

  @impl true
  def ping(_ip_address, _timeout) do
    {:ok, 10}
  end
end
